"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const tasks_1 = require("@angular-devkit/schematics/tasks");
function default_1(options) {
    return () => {
        var _a, _b;
        if (!options.name) {
            throw new schematics_1.SchematicsException(`Invalid options, "name" is required.`);
        }
        if (!options.directory || options.directory === '/') {
            options.directory = options.name;
        }
        const ngNewOptions = Object.assign(Object.assign({}, options), { directory: '/', skipInstall: true, skipGit: true, inlineStyle: (_a = options.inlineStyle) !== null && _a !== void 0 ? _a : true, inlineTemplate: (_b = options.inlineTemplate) !== null && _b !== void 0 ? _b : false });
        const yangInitOptions = {
            name: options.name
        };
        return schematics_1.chain([
            schematics_1.mergeWith(schematics_1.apply(schematics_1.empty(), [
                schematics_1.externalSchematic('@schematics/angular', 'ng-new', ngNewOptions),
                schematics_1.schematic('init', yangInitOptions),
                schematics_1.move(options.directory),
            ]), schematics_1.MergeStrategy.Overwrite),
            (host, context) => {
                let packageTask;
                if (!options.skipInstall) {
                    packageTask = context.addTask(new tasks_1.NodePackageInstallTask(options.directory));
                    if (options.linkCli) {
                        packageTask = context.addTask(new tasks_1.NodePackageLinkTask('@angular/cli', options.directory), [packageTask]);
                    }
                }
                if (!options.skipGit) {
                    const commit = typeof options.commit == 'object'
                        ? options.commit
                        : (!!options.commit ? {} : false);
                    context.addTask(new tasks_1.RepositoryInitializerTask(options.directory, commit), packageTask ? [packageTask] : []);
                }
            }
        ]);
    };
}
exports.default = default_1;
//# sourceMappingURL=index.js.map