import { Path } from '@angular-devkit/core';
import { Rule, SchematicContext, Tree } from '@angular-devkit/schematics';
import { ModuleOptions } from '@schematics/angular/utility/find-module';
export declare class YangUtils {
    static MAIN_FILE: string;
    static CORE_MODULE_FILE: string;
    static SHARED_MODULE_FILE: string;
    static FEATURES_MODULE_FILE: string;
    static ROUTING_MODULE_FILE: string;
}
export interface PathOptions {
    project?: string;
    module?: string;
    name: string;
    flat?: boolean;
    path?: string;
}
export interface ProjectOptions {
    project?: string;
}
export declare function forceOverwrite(host: Tree): Rule;
export declare function getProjectName(host: Tree, options: any): string;
export declare function getProjectRoot(host: Tree, options: any, suffix?: boolean): string;
export declare function getSourceRoot(host: Tree, options: PathOptions): string;
export declare function getProjectSchematics(host: Tree, options: ProjectOptions): Promise<any>;
export declare function getProjectSchematic(host: Tree, options: ProjectOptions, schematicName: string): Promise<any>;
export declare function smartPath(rootPath: string, options: PathOptions, sharedSubFolder: string): void;
export declare function findClosestModule(host: Tree, options: ModuleOptions, defaultModule?: string): Path | undefined;
export declare function sortByKey(unsorted: any): any;
export declare function installDeps(skipInstall?: boolean): (host: Tree, context: SchematicContext) => void;
